\name{varcoefficient}

\alias{varcoefficient}

\title{ Variation coefficient }

\description{
  Calculate variation coefficient of the elements of a numeric vector: sd(x)/abs(mean(x)).
}

\usage{
varcoefficient(x)
}

\arguments{
  \item{x}{ A numeric vector. }
}

\value{
  The variation coefficient of the elements of \code{x}.
}

\author{ Rosolowski, M. \email{maciej.rosolowski@imise.uni-leipzig.de}}

\examples{
x <- 1:5
varcoefficient(x) # 0.5270463
}

\keyword{univar}
