#ifndef COMPUTEBETASUM_H
#define COMPUTEBETASUM_H

#include "mathutils.h"

double compute_betasum(double *X, int n, int p, double *xp, int *clustidx,
    int clustlen, int clenoffset, double *x2s, int pivotidx,
    int direction, bool discret, bool trunc, double ucrit, double minbeta,
    bool samedirect);

double compute_betasum_from_maxbeta(double *X, int n, int p,
    double *xp, int *clustidx, int clustlen, int clenoffset,
    double *x2s, int pivotidx,
    int direction, bool discret, bool trunc, double ucrit, double minbeta,
    bool samedirect, int maxgene);  

#endif
