\name{sqsum}

\alias{sqsum}

\title{ Sum of squares }

\description{
  Calculate the sum of squares of the elements of a numeric vector.
}

\usage{
sqsum(x)
}

\arguments{
  \item{x}{ A numeric vector. }
}

\value{
  The sum of squared elements of \code{x}.
}

\author{ Beck, M. } 

\examples{
x <- 1:5
sqsum(x) # 55
y <- rep(2,4)
sqsum(y) # 16
}

\keyword{univar}
